import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _MTRElectricalEnergyMeasurementClusterEnergyMeasurementStruct } from "./MTRElectricalEnergyMeasurementClusterEnergyMeasurementStruct.js";
export declare class _MTRElectricalEnergyMeasurementClusterCumulativeEnergyMeasuredEvent extends _NSObject {
    static alloc(): _MTRElectricalEnergyMeasurementClusterCumulativeEnergyMeasuredEvent;
    static new(): _MTRElectricalEnergyMeasurementClusterCumulativeEnergyMeasuredEvent;
    init(): _MTRElectricalEnergyMeasurementClusterCumulativeEnergyMeasuredEvent;
    energyImported(): _MTRElectricalEnergyMeasurementClusterEnergyMeasurementStruct | null;
    setEnergyImported$(value: _MTRElectricalEnergyMeasurementClusterEnergyMeasurementStruct | null): void;
    energyExported(): _MTRElectricalEnergyMeasurementClusterEnergyMeasurementStruct | null;
    setEnergyExported$(value: _MTRElectricalEnergyMeasurementClusterEnergyMeasurementStruct | null): void;
}
export interface _MTRElectricalEnergyMeasurementClusterCumulativeEnergyMeasuredEvent extends _NSCopying {
}
